/**
 *  Copyright (c) 2002-2003, ngc7579
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package JAuto.srv;

import java.util.*;

public class clientT {
	private static LinkedList	list = new LinkedList();
	
	String		name;
	String		pw;
	int		connCnt;
	int		tblRow;

	/**
	 * Constructor for clientT.
	 */
	public clientT(String name, String pw) {
		this.name = new String(name);
		this.pw = new String(pw);
		this.connCnt = 0;
		
		synchronized (list) {
			list.add(this);
		}
	}
	
	

	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName() {
		return name;
	}


	/**
	 * Returns the pw.
	 * @return String
	 */
	public String getPW() {
		return pw;
	}


	/**
	 * Returns the connCnt.
	 * @return int
	 */
	public int getConnCnt() {
		return connCnt;
	}

	/**
	 * Returns the tblRow.
	 * @return int
	 */
	public int getTblRow() {
		return tblRow;
	}

	/**
	 * Sets the tblRow.
	 * @param tblRow The tblRow to set
	 */
	public void setTblRow(int tblRow) {
		this.tblRow = tblRow;
	}


	/**
	 * 
	 * @return LinkedList
	 */
	public static LinkedList getList() {
		return list;
	}

	/**
	 * 
	 * @param name
	 * 
	 * @return boolean
	 */
	public static clientT fnd(String name) {
		synchronized (list) {
			clientT	client = null;
			Iterator itr = list.iterator();
			
			while (itr.hasNext()) {
				client = (clientT)itr.next();
				if (name.equals(client.getName())) {
					return client;
				}
			}
		}
		return null;
	}

	/**
	 * 
	 * @param name
	 * @param pw
	 * 
	 * @return boolean
	 */
	public static clientT fnd(String name, String pw) {
		synchronized (list) {
			clientT	client = null;
			Iterator itr = list.iterator();
			
			while (itr.hasNext()) {
				client = (clientT)itr.next();
				if (name.equals(client.getName())) {
					if (pw.equals(client.getPW())) {
						return client;
					}
				}
			}
		}
		return null;
	}

}
