/**
 *  Copyright (c) 2002-2003, ngc7579
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package JAuto.ui;

import JAuto.srv.*;

import com.jrefinery.data.TimeSeries;
//import com.jrefinery.data.MovingAverage;
import com.jrefinery.data.Second;

/**
 * 
 */
public class sensorChartElementT {
	private	sensorT		sensor;
	private	TimeSeries	series;
	
	public sensorChartElementT(sensorT sensor) {
		this.sensor = sensor;
		this.series = new TimeSeries(sensor.getName(), Second.class);
		this.series.setHistoryCount(86400);	//24 hours
	}

	/*
	public sensorChartElementT(TimeSeries series, int depth) {
		this.sensor = null;		
		this.series = MovingAverage.createMovingAverage(series,"Average", depth, 0);
		this.series.setHistoryCount(86400);	//24 hours
	}
	*/

	/**
	 * Returns the sensor.
	 * @return sensorT
	 */
	public sensorT getSensor() {
		return sensor;
	}

	/**
	 * Returns the series.
	 * @return TimeSeries
	 */
	public TimeSeries getSeries() {
		return series;
	}

}
