/**
 *  Copyright (c) 2002-2003, ngc7579
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package JAuto.srv;

import JAuto.util.*;

import java.net.*;
import java.io.*;

public class serverThreadT extends Thread {
	srvT	srv;

	/** socket the server will listen on */
	ServerSocket srvSocket = null;

	/**
	 * Constructor for serverThreadT.
	 */
	public serverThreadT(srvT srv) {
		this.srv = srv;		
	
		start();	
	}
	
	/**
	 * 
	 */
	public void run() {
		//
		// create a server socket to listen on (port 9189)
		//
		try { srvSocket = new ServerSocket(9189); }
		catch (IOException excp) {
			srv.display(excp.toString());
			return;
		}

		//
		// listen for connects
		//
		boolean runThread = true;
		while (runThread) {
			try {
				Socket s = srvSocket.accept();
				System.out.println("connection from:"+s);
				sysMsgT.postMsg(sysMsgT.MSG_CONNECTION, s);
			}
			catch (IOException excp) {
				runThread = false;
				srv.display(excp.toString());
			}
		}

	}
}
